Subject: Re: [PATCH 2/3] wfx: add antenna configuration files

From: Jérôme Pouiller <[email-masked]>
Date: Fri, 08 Jul 2022 09:27:06 +0200

On Thursday 7 July 2022 19:40:27 CEST Josh Boyer wrote:
> On Thu, Jul 7, 2022 at 1:04 PM Ben Brown <[email-masked]> wrote:
> > On 21/02/2022 16:37, Jerome Pouiller wrote:
> > > From: Jérôme Pouiller <[email-masked]>
> > <snip>
> > > diff --git a/WHENCE b/WHENCE
> > > index 0a6cb15..96f67f7 100644
> > > --- a/WHENCE
> > > +++ b/WHENCE
> > > @@ -5845,8 +5845,18 @@ Driver: wfx - Silicon Labs Wi-Fi Transceiver
> > >  File: wfx/wfm_wf200_C0.sec
> > >  Version: 3.12.1
> > >
> > > +File: wfx/brd4001a.pds not listed in WHENCE
> > > +File: wfx/brd8022a.pds not listed in WHENCE
> > > +File: wfx/brd8023a.pds not listed in WHENCE
> >
> > This format does not appear to be correct. While this will seemingly
> > pass the `check_whence.py` check, it will be completely ignored by
> > `copy-firmware.sh`, as that takes the full line after 'File: ' (e.g.
> > 'wfx/brd4001a.pds not listed in WHENCE', which of course does not exist).
> 
> Oh, indeed.
> 
> > I'm assuming the trailing ' not listed in WHENCE' needs to be removed
> > from each of these lines. Otherwise these are likely not being picked up
> > by distros (they are missing from Arch, for example). This may have been
> > the intention, but that seems odd (and unclear if so).
> 
> I doubt that was the intention.  I'll correct WHENCE in a separate
> commit.  Thank you for reporting the issue.

It seems I had copy-pasted the output of check_whence.py. I was probably not
very awake. Sorry for the disturb.

Do you think the change below could be useful?

---------8<-------------8<----------------

diff --git i/check_whence.py w/check_whence.py
index 8805e99..8244288 100755
--- i/check_whence.py
+++ w/check_whence.py
@@ -6,11 +6,11 @@
 def list_whence():
     with open('WHENCE', encoding='utf-8') as whence:
         for line in whence:
-            match = re.match(r'(?:File|Source):\s*"(.*)"', line)
+            match = re.match(r'(?:File|Source):\s*"(.*)"\s*$', line)
             if match:
                 yield match.group(1)
                 continue
-            match = re.match(r'(?:File|Source):\s*(\S*)', line)
+            match = re.match(r'(?:File|Source):\s*(\S*)\s*$', line)
             if match:
                 yield match.group(1)
                 continue

-- 
Jérôme Pouiller